package market.Qms.com.vo;

import java.io.Serializable;
import java.util.Date;

import market.Qms.com.mapper.BaseAdditionalMapper;

import org.apache.ibatis.type.JdbcType;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="COM_BASE_ADDITIONAL", namespace=BaseAdditionalMapper.class)
public class BaseAdditional extends BaseVO implements Serializable {

	/** 标准代码 */
	@Id("STD_CODE")
	private String stdCode;

	/** 标准名称 */
	@Column("STD_NAME")
	private String stdName;

	/** 附加要求项 */
	@Column("ASK_ITME")
	private String askItme;

	/** 附加要求项名称 */
	@Column("ASK_ITME_DESC")
	private String askItmeDesc;

	/** 附加要求分项 */
	@Column("ASK_SUB_ITME")
	private String askSubItme;

	/** 附加要求分项描述 */
	@Column("ASK_SUB_ITME_DESC")
	private String askSubItmeDesc;

	/** 标准说明 */
	@Id("ASK_SUB_ITME_VAL")
	private String askSubItmeVal;

	/** 标准说明描述 */
	@Column("ASK_SUB_ITME_VAL_DESC")
	private String askSubItmeValDesc;

	/** 
	 * 贴图(贴图存储路径)
	 */ 
	@Column(value="PIC", jdbcType=JdbcType.BLOB)
	private byte[] pic;
	
	public byte[] getPic() {
		return pic;
	}

	public void setPic(byte[] pic) { 
		this.pic = pic;
	}

	/** 创建人 */
	@Column("CREATE_NAME")
	private String createName;

	/** 创建时间 */
	@Column("CREATE_TIME")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date createTime;

	/** 修改人 */
	@Column("UPDATE_NAME")
	private String updateName;

	/** 修改时间 */
	@Column("UPDATE_TIME")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date updateTime;

	/** 删除人 */
	@Column("DELETE_NAME")
	private String deleteName;

	/** 删除时间 */
	@Column("DELETE_TIME")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date deleteTime;

	/** 有效标志(1:有效，0:无效) */
	@Column
	private String validflag;

	/** 备注 */
	@Column
	private String memo;
	

	@Column
	private String psc;
	

	public String getPsc() {
		return psc;
	}

	public void setPsc(String psc) {
		this.psc = psc;
	}

	/** 审批状态(1:已审批，0:未审批) */
	@Column
	private String stdflag;

	public String getStdCode() {
		return this.stdCode;
	}

	public String getStdName() {
		return this.stdName;
	}

	public String getAskItme() {
		return this.askItme;
	}

	public String getAskItmeDesc() {
		return this.askItmeDesc;
	}

	public String getAskSubItme() {
		return this.askSubItme;
	}

	public String getAskSubItmeDesc() {
		return this.askSubItmeDesc;
	}

	public String getAskSubItmeVal() {
		return this.askSubItmeVal;
	}

	public String getAskSubItmeValDesc() {
		return this.askSubItmeValDesc;
	}


	public String getCreateName() {
		return this.createName;
	}

	public Date getCreateTime() {
		return this.createTime;
	}

	public String getUpdateName() {
		return this.updateName;
	}

	public Date getUpdateTime() {
		return this.updateTime;
	}

	public String getDeleteName() {
		return this.deleteName;
	}

	public Date getDeleteTime() {
		return this.deleteTime;
	}

	public String getValidflag() {
		return this.validflag;
	}

	public String getMemo() {
		return this.memo;
	}

	public String getStdflag() {
		return this.stdflag;
	}

	public void setStdCode(String stdCode) {
		this.stdCode = stdCode;
	}

	public void setStdName(String stdName) {
		this.stdName = stdName;
	}

	public void setAskItme(String askItme) {
		this.askItme = askItme;
	}

	public void setAskItmeDesc(String askItmeDesc) {
		this.askItmeDesc = askItmeDesc;
	}

	public void setAskSubItme(String askSubItme) {
		this.askSubItme = askSubItme;
	}

	public void setAskSubItmeDesc(String askSubItmeDesc) {
		this.askSubItmeDesc = askSubItmeDesc;
	}

	public void setAskSubItmeVal(String askSubItmeVal) {
		this.askSubItmeVal = askSubItmeVal;
	}

	public void setAskSubItmeValDesc(String askSubItmeValDesc) {
		this.askSubItmeValDesc = askSubItmeValDesc;
	}

	

	public void setCreateName(String createName) {
		this.createName = createName;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public void setUpdateName(String updateName) {
		this.updateName = updateName;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public void setDeleteName(String deleteName) {
		this.deleteName = deleteName;
	}

	public void setDeleteTime(Date deleteTime) {
		this.deleteTime = deleteTime;
	}

	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

	public void setMemo(String memo) {
		this.memo = memo;
	}

	public void setStdflag(String stdflag) {
		this.stdflag = stdflag;
	}

}
